सामग्री पर जाएँ

Lyria2

इंटीग्रेट करें

मॉडल id lyria2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lyria2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.10 100 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

Google का टेक्स्ट-टू-म्यूज़िक मॉडल, जो नेगेटिव प्रॉम्प्ट विकल्प के साथ प्रॉम्प्ट से ट्रैक तैयार करता है

Google · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2000

निर्मित किए जाने वाले संगीत का टेक्स्ट विवरण।

उन्नत negative_prompt · seed · enable_safety_checker
डिफ़ॉल्ट low quality

ऑडियो आउटपुट से हटाए जाने वाले तत्वों का विवरण।

नियतात्मक ऑडियो का अनुरोध करने के लिए उपयोग किया गया निर्माण seed: अपरिवर्तित प्रॉम्प्ट और अन्य पैरामीटर के साथ इसका पुनः उपयोग करने पर मॉडल ऑडियो को दोहराने का प्रयास करता है।

POST /run/lyria2?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lyria2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Lyria2 के बारे में

अधिकतम 2000 वर्णों के टेक्स्ट विवरण से संगीत तैयार करता है। हटाए जाने वाले तत्वों की सूची `negative_prompt` में दी जाती है और दोहराए जा सकने वाले आउटपुट के लिए `seed` सेट किया जा सकता है। यह केवल टेक्स्ट लेता है और एक ऑडियो ऑब्जेक्ट लौटाता है, इसलिए बैकग्राउंड ट्रैक और त्वरित संगीत स्केच के लिए उपयुक्त है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर
निर्मित किए जाने वाले संगीत का टेक्स्ट विवरण।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टlow quality
ऑडियो आउटपुट से हटाए जाने वाले तत्वों का विवरण।
seedवैकल्पिक
प्रकारinteger | null
नियतात्मक ऑडियो का अनुरोध करने के लिए उपयोग किया गया निर्माण seed: अपरिवर्तित प्रॉम्प्ट और अन्य पैरामीटर के साथ इसका पुनः उपयोग करने पर मॉडल ऑडियो को दोहराने का प्रयास करता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lyria2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया संगीत।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/lyria2.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt